Signatures

Envelope Cancel

GET
/signatures/envelope/{envelopeId}/cancel

Terminates the signing process by canceling a sent envelope.

  • The envelope is identified using the envelopeId path parameter.
  • Once canceled, the envelope transitions to a final state of "Canceled", preventing any further actions by recipients (e.g., viewing or signing documents).
  • Use this endpoint when a sender needs to stop the process, for example, due to errors in the envelope, changes in requirements, or other reasons. Note: this is a state-mutating operation exposed as GET. It also performs no status-precondition check - it can be called against an envelope in any status, including one already Completed, Deleted, or Canceled.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

envelopeId*string

The ID of the envelope which Audit trail is needed.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/signatures/envelope/string/cancel"
{  "result": {    "statusCode": 200,    "message": "OK",    "data": {      "envelope": {        "id": "839b6734-e80c-42b7-8cf4-821940af3fe8",        "message": "Thank you for completing this document."      }    }  },  "origin": "GET https://api.doctavian.com/v1/signatures/envelope/{envelopeId}/cancel",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "56f7b99c-b04b-4d0d-863e-9a90230ebcf7"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/signatures/envelope/{envelopeId}/cancel",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "f95b5e7b-e0bb-4567-a979-8f35e58bed06",  "operationId": "dea25f5ed8527b1bebb7f49c33030e58"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 500,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/signatures/envelope/{envelopeId}/cancel",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "39dbc5d5-6f40-4dd6-bbf0-453db1ad2aca",  "operationId": "40781acf666ef7e05a4fbc4e9d548ace"}